com.fasterxml.jackson.module.afterburner.deser

## Class PropertyMutatorCollector

- java.lang.Object
- - com.fasterxml.jackson.module.afterburner.util.DynamicPropertyAccessorBase
  - - com.fasterxml.jackson.module.afterburner.deser.PropertyMutatorCollector

    public class PropertyMutatorCollector
    extends DynamicPropertyAccessorBase

Simple collector used to keep track of properties for which code-generated mutators are needed.

### Field Summary

### Fields inherited from class com.fasterxml.jackson.module.afterburner.util.DynamicPropertyAccessorBase

`ALL_INT_CONSTS`

### Constructor Summary

Constructors
Constructor and Description
`PropertyMutatorCollector(Class<?> beanClass)`

### Method Summary

Methods
`SettableIntFieldProperty` `addIntField(com.fasterxml.jackson.databind.deser.SettableBeanProperty prop)`
`SettableIntMethodProperty` `addIntSetter(com.fasterxml.jackson.databind.deser.SettableBeanProperty prop)`
`SettableLongFieldProperty` `addLongField(com.fasterxml.jackson.databind.deser.SettableBeanProperty prop)`
`SettableLongMethodProperty` `addLongSetter(com.fasterxml.jackson.databind.deser.SettableBeanProperty prop)`
`SettableObjectFieldProperty` `addObjectField(com.fasterxml.jackson.databind.deser.SettableBeanProperty prop)`
`SettableObjectMethodProperty` `addObjectSetter(com.fasterxml.jackson.databind.deser.SettableBeanProperty prop)`
`SettableStringFieldProperty` `addStringField(com.fasterxml.jackson.databind.deser.SettableBeanProperty prop)`
`SettableStringMethodProperty` `addStringSetter(com.fasterxml.jackson.databind.deser.SettableBeanProperty prop)`
`BeanPropertyMutator` `buildMutator(MyClassLoader classLoader)` Method for building generic mutator class for specified bean type.
`Class<?>` `generateMutatorClass(MyClassLoader classLoader, String srcName, String generatedClass)`
`boolean` `isEmpty()`

### Methods inherited from class com.fasterxml.jackson.module.afterburner.util.DynamicPropertyAccessorBase

`_add, generateException, internalClassName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PropertyMutatorCollector

    public PropertyMutatorCollector(Class<?> beanClass)

### Method Detail

#### addIntSetter

    public SettableIntMethodProperty addIntSetter(com.fasterxml.jackson.databind.deser.SettableBeanProperty prop)

#### addLongSetter

    public SettableLongMethodProperty addLongSetter(com.fasterxml.jackson.databind.deser.SettableBeanProperty prop)

#### addStringSetter

    public SettableStringMethodProperty addStringSetter(com.fasterxml.jackson.databind.deser.SettableBeanProperty prop)

#### addObjectSetter

    public SettableObjectMethodProperty addObjectSetter(com.fasterxml.jackson.databind.deser.SettableBeanProperty prop)

#### addIntField

    public SettableIntFieldProperty addIntField(com.fasterxml.jackson.databind.deser.SettableBeanProperty prop)

#### addLongField

    public SettableLongFieldProperty addLongField(com.fasterxml.jackson.databind.deser.SettableBeanProperty prop)

#### addStringField

    public SettableStringFieldProperty addStringField(com.fasterxml.jackson.databind.deser.SettableBeanProperty prop)

#### addObjectField

    public SettableObjectFieldProperty addObjectField(com.fasterxml.jackson.databind.deser.SettableBeanProperty prop)

#### isEmpty

    public boolean isEmpty()

#### buildMutator

    public BeanPropertyMutator buildMutator(MyClassLoader classLoader)

Method for building generic mutator class for specified bean type.

#### generateMutatorClass

    public Class<?> generateMutatorClass(MyClassLoader classLoader,
                                String srcName,
                                String generatedClass)